module.exports = function(grunt) {
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    // copy les modifications vers C:\Users\Aymeric\Documents\GitHub\assistant-plugins2
    copy: {
      main: {
        files: [
          {
            expand: true,
            src: ['**'],
            dest: 'C:/Users/Aymeric/Documents/GitHub/assistant-plugins/',
          },
        ],
        options: {
          process: function(content, srcpath) {
            if (srcpath.indexOf('configuration.json') !== -1) {
              // pour le configuration.json de Freebox on veut quelques modifications
              if (srcpath.indexOf('assistant-freebox') !== -1) {
                return content.replace(/Vidéos\/TV/, "Vidéos")
                              .replace(/"code_telecommande":"\d+"/, '"code_telecommande":""')
                              .replace(/"use_Mon_Bouquet":true/,'"use_Mon_Bouquet":false')
                              .replace(/\s+"app_token":".*"/,"")
              }
              return content.replace(/:".*"/g, ':""')
            }
            if (srcpath.indexOf('plugins.json') !== -1) {
              return content.replace(/"wait",/,'"wait"')
                            .replace(/\s+"tam"/,"")
            }
            return content;
          }
        }
      }
    },
    // https://github.com/dylang/grunt-notify
    notify_hooks: {
      options: {
        enabled: true,
        title: "Assistant Google",
      }
    },
    notify: {
      main:{
        options:{
          message:'Fichiers copiés !'
        }
      }
    }
  });

  // Load the plugins
  grunt.loadNpmTasks('grunt-notify');
  grunt.loadNpmTasks('grunt-contrib-copy');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-replace');
  // init notifications
  grunt.task.run('notify_hooks');

  grunt.registerTask('default', ['copy:main','notify:main']);
};
